export interface PageParam {
  pageNo?: number
  pageSize?: number
}

export interface PictureSortParam {
  orderbyname?: 'asc' | 'desc'
  orderbyvalue?: 'pictureResult' | 'fromuptime'
}
export interface SimilarityPictureSortParam {
  checkDuplicateId?: string
  orderType?: 'asc' | 'desc'
  orderName?: 'similarityScore' | 'createdate'
}

export interface FilterSearchParam {
  search_searchname?: {
    value: string
    op: 'equal' | 'like'
    type: 'string'
  }
}

export interface ConditionEntry {
  searchfield: string
  searchtype: string
  searchvalue: string
}

export interface FilterCondition {
  searchname: string
  type: number
  ocrUsersearchchildList: ConditionEntry[]
}

export interface FilterUpdate extends FilterCondition {
  id: string
}

export interface FilterParam {
  type: number
  searchcount: string
}

export interface UploadParam {
  file: File
}

export interface QueryPictureParam {
  search_month?: string
  search_history?: string
  izUpuser?: string
  izPlan?: string
  izSimilarity?: string
  izShow?: string
  izYear?: string
  izPicturetype?: string
  izArea?: string
}

export interface QualifiedStateParam {
  childpictureid?: string
  izPass?: string
  judgePassid?: string
  packageid?: string
}

export interface AsideConfig {
  izshow: string
  izsimilarity: string
  similaritystart: 0
  similarityend: 100
  izyear: string
  izpicturetype: string
  izupload: string
  izsearch: string
  izsearchmanager: string
  izdesc: string
  izupuser: string
  izplan: string
  izproject: string
  izcustomtype: string
  izcustomlevel: string
  izcustomname: string
  izprojecttype: string
  iztaskrrom: string
  iztaskstatus: string
  izvisitpro: string
  izvisitcity: string
  izfirm: string
  izproductname: string
  izimgdownload: string
}

// ----------任务工单----------
export interface SetTFParam {
  taskchildpictureids: string
  iztrueorfalse?: number
  judgeid?: string
  judgedesc?: string
  packageid: string
}

export interface CheckParam {
  search_month: string
  search_history: string
  izUpuser: string
  izPlan: string
  izSimilarity: string
  izShow: string
  izYear: string
  izPicturetype: string
  izArea: string
}

// ----------任务审批----------
export interface ApprovalParam {
  formid: string[]
  taskId: string[]
  approvd: boolean
  taskComment: string
  taskname: string[]
}

// ----------任务终审----------
export interface FinalParam {
  sortorder: 'desc' | 'asc'
  sortname: string
  pageSize: number
  currPage: number
}

export interface ResetParam {
  fromid: string
  taskid: string
}

export interface BusinessParam {
  pageNo: string
  pageSize: string
  field: string
}
